<?php

pest()->extend(Tests\TestCase::class);

function actingAsUser()
{
    $user = \App\Models\User::factory()->withWallet()->create();
    test()->actingAs($user);
    return $user;
}

function actingAsAdmin()
{
    $admin = \App\Models\User::factory()->admin()->withWallet()->create();
    test()->actingAs($admin);
    return $admin;
}
